math/py-Scientific-doc - The NetBSD Packages Collection

Python modules for scientific computing

ScientificPython is a collection of Python modules that are useful for
scientific computing. In this collection you will find modules that
cover basic geometry (vectors, tensors, transformations, vector and
tensor fields), quaternions, automatic derivatives, (linear)
interpolation, polynomials, elementary statistics, nonlinear
least-squares fits, unit calculations, Fortran-compatible text
formatting, 3D visualization via VRML, and two Tk widgets for simple
line plots and 3D wireframe models.

The netCDF interface module, until now distributed separately, has
been integrated into this package as well. It is now called
Scientific.IO.NetCDF.

The module Scientific.MPI provides an object-oriented interface to the
Message Passing Interface, an industry standard library for
interprocess communication on parallel computers.

All of these modules are in the public domain; do with them whatever
you wish. However, there is no warranty of any kind; you use the code
at your own risk.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0i386py-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0i386py-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0x86_64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 8.0x86_64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0aarch64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0aarch64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0aarch64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0alphapy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0alphapy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0alphapy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv6hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv6hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv6hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0earmv7hfpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0i386py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0i386py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0i386py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0mips64ebpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0mips64ebpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0mips64ebpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0mips64ebpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0mips64ebpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0powerpcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparc64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparc64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparc64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0sparcpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0vaxpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0vaxpy-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0x86_64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0x86_64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0x86_64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0x86_64py-Scientific-doc-2.4.5nb1.tgz
NetBSD 9.0x86_64py-Scientific-doc-2.4.5nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.